Subject: ABB Invoice- City of Austin-
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 21 May 2001 03:50:00 -0700 (PDT)

A couple weeks ago I received a call from Karla Hesketh of ABB- she was 
checking on the status of ABB Invoice #  TS 00365 in the amount of $105,104.

The invoice was for heavy hauling of 2 Transformers for the City of Austin 
Tranformerss.

The invoice was sent to   Enron, city of Austin,  14000 Smith Street   #2957E.

I had left a voice mail for you on this- but less descriptive.  

I have a fax copy of the invoice that Karla sent to me today.

Who is the action person on this?